Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


glnz

POSReady 2009 updates ported to Windows XP SP3 ENU

Recommended Posts

The method also works in Windows XP Home-Based editions. I tested it on XP Starter. :yes:

 

I will update the first post soon.

 

The patched udpates are not a waste of time, we will find them useful if  M$ decides to make WU more strict.

Edited by harkaz
  • Upvote 1

Share this post


Link to post
Share on other sites

there is a much easier way:

Windows Registry Editor Version 5.00[HKEY_LOCAL_MACHINE\SYSTEM\WPA\PosReady]"Installed"=dword:00000001

and POSReady2009 Updates will install on XP + Windows Update shows the updates for POSReady 2009 :)

 

Wow, I need to test this now.

Share this post


Link to post
Share on other sites

Awesome this works, but is there also a Key for the Windows Server 2003? Because with this tweak i dont get the KB2931352 .NET 1.1 Update.

And is the first reg key really needed? Because i can't find it on my POSReady 2009 installation.

Edited by Jeffery

Share this post


Link to post
Share on other sites

No, the Win Server 2k3 updates need more considerable .INF editing before they can be used in XP, so that those (mostly .NET 1.1 sp1) will continue to need porting by hand, sorry.

Share this post


Link to post
Share on other sites

Strange that Microsoft released this KB2931352 .NET 1.1 Update only on Windows Server 2003. :wacko:

Edited by Jeffery

Share this post


Link to post
Share on other sites

BTW blackwingcat had made .net 1.1 patch available to 2000/XP as well.
 

Edited by dencorso
Direct link to unredistributables removed

Share this post


Link to post
Share on other sites

Thanks for the info, harkaz has done this too. What confuses me is way Microsoft hasn't released the KB2931352 HotFix for Windows XP Embedded.

Edited by Jeffery

Share this post


Link to post
Share on other sites

Thanks for the info, harkaz has done this too. What confuses me is way Microsoft hasn't released the KB2931352 HotFix for Windows XP Embedded.

IIRC POSReady has no .net 1.1 runtime installed

Share this post


Link to post
Share on other sites

Because neither .NET 1.0 nor 1.1 are part of either WES, WEPOS or POSReady 2009. 

@ roytam1: we cross-posted. Sorry! :)

Share this post


Link to post
Share on other sites

As long as we're on the subject of the .NET update: could anyone please explain what is the best way to integrate this into my updated XP source? I'm not a pro on this subject, but I managed to create a fully updated iso with Ryan integrator (using Nonno Fabio's localized Final Updatepack). Also, Nonno Fabio explained how to add kb2953522 and kb2926765 (and future POSReady updates) in an extra Addon pack (as he doesn't want to include them in an "official" Updatepack himself).

All of this is working nicely, but the .NET update is not mentioned in his tutorial.

So now I'm wondering what's the best way to add it:

- Can I just add the .NET update to the "source" folder of DXUPAC creator?

- If so, can I use the original update, or do I need the modified version?

- Or will this not work at all, and should I use nLite (as I understand it, nLite should always be used *after* using Ryan integrator).

 

I hope this question makes sense, I would just like to know how to create a fully updated XP iso.

Thanks for listening...

Share this post


Link to post
Share on other sites

 

Thanks for the info, harkaz has done this too. What confuses me is way Microsoft hasn't released the KB2931352 HotFix for Windows XP Embedded.

IIRC POSReady has no .net 1.1 runtime installed

 

 

 

Because neither .NET 1.0 nor 1.1 are part of either WES, WEPOS or POSReady 2009. 

@ roytam1: we cross-posted. Sorry! :)

 

But on my POSReady 2009 the .NET 1.1 SP1 was installed over the Windows Update Center but not the KB2931352 HotFix.

 

 

As long as we're on the subject of the .NET update: could anyone please explain what is the best way to integrate this into my updated XP source? I'm not a pro on this subject, but I managed to create a fully updated iso with Ryan integrator (using Nonno Fabio's localized Final Updatepack). Also, Nonno Fabio explained how to add kb2953522 and kb2926765 (and future POSReady updates) in an extra Addon pack (as he doesn't want to include them in an "official" Updatepack himself).

All of this is working nicely, but the .NET update is not mentioned in his tutorial.

So now I'm wondering what's the best way to add it:

- Can I just add the .NET update to the "source" folder of DXUPAC creator?

- If so, can I use the original update, or do I need the modified version?

- Or will this not work at all, and should I use nLite (as I understand it, nLite should always be used *after* using Ryan integrator).

 

I hope this question makes sense, I would just like to know how to create a fully updated XP iso.

Thanks for listening...

 

You don't need the modified version and you can use DXUPAC or nLite to integrate this .NET Updates. ;)

Edited by Jeffery

Share this post


Link to post
Share on other sites

You don't need the modified version and you can use DXUPAC or nLite to integrate this .NET Updates. ;)

Thank you so much, I was a bit when Nonno Fabio didn't add it here, in his box folder.

But I guess the .NET update is not a true POSReady update, that must be the reason.

Thanks again!!!!!!!!1

Share this post


Link to post
Share on other sites

Maybe because the Security Bulletin doesn't list it?

 

Thanks for the info, harkaz has done this too. What confuses me is way Microsoft hasn't released the KB2931352 HotFix for Windows XP Embedded.

IIRC POSReady has no .net 1.1 runtime installed

 

Because neither .NET 1.0 nor 1.1 are part of either WES, WEPOS or POSReady 2009. 

@ roytam1: we cross-posted. Sorry! :)

But on my POSReady 2009 the .NET 1.1 SP1 was installed over the Windows Update Center but not the KB2931352 HotFix.


 

https://technet.microsoft.com/library/security/ms14-026

And dencorso said

No, the Win Server 2k3 updates need more considerable .INF editing before they can be used in XP, so that those (mostly .NET 1.1 sp1) will continue to need porting by hand, sorry.
It appears (after inspection) that changing anything in the Registry to setup for Win2k3 -may- bomb you.

http://www.geoffchappell.com/studies/windows/km/ntoskrnl/api/ex/exinit/productsuite.htm

The Reg values could be supplied if anyone wants to check. Several of us have access to Win2k3, so... BUT be aware of the Mods still needed (?) to install.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×